%define dbus_glib_version	  0.76
%define glib2_version             2.16
%define gtk2_version              2.17.2
%define gnome_doc_utils_version   0.3.2
%define gnome_keyring_version     2.22
%define unique_version            1.0.4
%define libnotify_version         0.4.5
%define nautilus_version          2.26

%define major 0
%define libname %mklibname gdu %major
%define libnamegtk %mklibname gdu-gtk %major
%define develname %mklibname -d gdu

Summary: Disk management daemon
Name: gnome-disk-utility
Version: 2.32.0
Release: %mkrel 1
License: LGPLv2+
Group: System/Configuration/Other
URL: http://git.gnome.org/cgit/gnome-disk-utility
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: gnome-disk-utility-2.30.1-utf8.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: desktop-file-utils
BuildRequires: libgnome-keyring-devel >= %{gnome_keyring_version}
BuildRequires: unique-devel >= %{unique_version}
BuildRequires: udisks-devel
BuildRequires: libnotify-devel >= %{libnotify_version}
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: libatasmart-devel
BuildRequires: libavahi-ui-devel
BuildRequires: intltool
BuildRequires: gtk-doc
Requires: %{libnamegtk} >= %{version}-%{release}
Requires: polkit-agent
#gw fix upgrade from 2010.0:
#https://qa.mandriva.com/show_bug.cgi?id=58371
Obsoletes: %name-data

%description
This package contains the Gnome Disk Utility daemon. It supports the detection
and creation of disk volumes.

%package -n palimpsest
Summary: Disk management application
Group: System/Configuration/Other
Requires: %name = %version-%release

%description -n palimpsest
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption,
RAID, SMART monitoring, etc.

%package -n %libname
Summary: Shared libraries used by Palimpsest
Group: System/Libraries
Requires: udisks
Requires: %name >= %version

%description -n %libname
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package do not
contain UI-related code.

%package -n %libnamegtk
Summary: Shared libraries used by Palimpsest
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %libnamegtk
This package contains libraries that are used by the Palimpsest
disk management application. The libraries in this package contain
disk-related widgets for use in GTK+ applications.

%package -n %develname
Summary: Development files for gnome-disk-utility-libs
Group: Development/C
Requires: %{libnamegtk} = %{version}-%{release}
Provides: libgdu-devel = %{version}-%{release}

%description -n %develname
This package contains header files and libraries needed to
develop applications with gnome-disk-utility-libs.
%prep
%setup -q
%apply_patches

%build
%define _disable_ld_no_undefined 1
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang palimpsest.lang
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.a

%find_lang %{name}
%find_lang palimpsest --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> palimpsest.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)
%doc README AUTHORS NEWS 
%{_libexecdir}/gdu-notification-daemon
%config(noreplace) %{_sysconfdir}/xdg/autostart/gdu-notification-daemon.desktop
%{_libdir}/nautilus/extensions-2.0/*.so
%{_libexecdir}/gdu-format-tool
%{_datadir}/icons/hicolor/*/apps/gdu*.png
%{_datadir}/icons/hicolor/scalable/apps/gdu*.svg
%{_datadir}/icons/hicolor/*/apps/nautilus*.png
%{_datadir}/icons/hicolor/scalable/apps/nautilus*.svg


%files -n palimpsest -f palimpsest.lang
%defattr(-,root,root,-)
%{_bindir}/palimpsest
%{_datadir}/applications/palimpsest.desktop
%{_datadir}/icons/hicolor/*/apps/palimpsest*.png
%{_datadir}/icons/hicolor/scalable/apps/palimpsest*.svg

%dir %{_datadir}/omf/palimpsest
%{_datadir}/omf/palimpsest/palimpsest-C.omf



%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libgdu.so.%{major}*


%files -n %libnamegtk
%defattr(-,root,root,-)
%{_libdir}/libgdu-gtk.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/libgdu.so
%{_libdir}/libgdu.la
%{_libdir}/libgdu-gtk.so
%{_libdir}/libgdu-gtk.la
%{_libdir}/pkgconfig/gdu.pc
%{_libdir}/pkgconfig/gdu-gtk.pc

%dir %{_includedir}/gnome-disk-utility
%dir %{_includedir}/gnome-disk-utility/gdu
%{_includedir}/gnome-disk-utility/gdu/*
%dir %{_includedir}/gnome-disk-utility/gdu-gtk
%{_includedir}/gnome-disk-utility/gdu-gtk/*
#%dir %{_datadir}/gtk-doc/html/gnome-disk-utility
#%{_datadir}/gtk-doc/html/gnome-disk-utility/*






%changelog
* Sat Jan 15 2011 blino <blino> 2.32.0-1.mga1
+ Revision: 19022
- imported package gnome-disk-utility


* Wed Sep 15 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 578707
- new version
- update file list

* Mon May 03 2010 Pascal Terjan <pterjan@mandriva.org> 2.30.1-2mdv2010.1
+ Revision: 541729
- Fix a crash of gvfs-gdu-volume-monitor on non UTF-8 systems

* Tue Mar 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-1mdv2010.1
+ Revision: 529675
- Release 2.30.1

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-2mdv2010.1
+ Revision: 527460
- add conflict for upgrade from 2010.0

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.0-1mdv2010.1
+ Revision: 521781
- Release 2.30.0

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-3mdv2010.1
+ Revision: 517989
- fix package structure:
 * move palimpsest to its own package
 * remove data package
 * library package now depends on main package
- fix description
- fix help and omf file packaging
- enable parallel make

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-2mdv2010.1
+ Revision: 517974
- fix devel provides

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 513262
- new version
- update build deps for udisks

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 460933
- update to new version 2.28.1

* Sat Sep 19 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 444639
- update build deps
- new version
- bump devicekit-disks dep

* Tue Aug 18 2009 Frederic Crozat <fcrozat@mandriva.com> 0.5-1mdv2010.0
+ Revision: 417613
- Release 0.5
- Requires polkit-agent for authentication

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 395926
- import gnome-disk-utility


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
- port to Mandriva

* Fri Jun 19 2009 David Zeuthen <davidz@redhat.com> - 0.4-1%%{?dist}
- Update to release 0.4

* Fri May 01 2009 David Zeuthen <davidz@redhat.com> - 0.3-1%%{?dist}
- Upstream release 0.3

* Wed Apr 15 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.5.20090415git%%{?dist}
- New snapshot

* Sun Apr 12 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.4.20090412git%%{?dist}
- New snapshot

* Fri Apr 10 2009 Matthias Clasen <mclasen@redhat.com> - 0.3-0.3.20090406git%%{?dist}
- Don't own directories that belong to hicolor-icon-theme

* Wed Apr 08 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.2.20090406git%%{?dist}
- Fix bug in detecting when a PolicyKit error is returned (#494787)

* Mon Apr 06 2009 David Zeuthen <davidz@redhat.com> - 0.3-0.1.20090406git%%{?dist}
- New snapshot

* Wed Mar 04 2009 David Zeuthen <davidz@redhat.com> - 0.2-2%%{?dist}
- Don't crash when changing the LUKS passphrase on a device

* Mon Mar 02 2009 David Zeuthen <davidz@redhat.com> - 0.2-1%%{?dist}
- Update to version 0.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.git20080720.2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Matthias Clasen <mclasen@redhat.com> 0.1-0.git20080720.2%%{?dist}
- Rebuild for pkgconfig provides

* Sun Nov 23 2008 Matthias Clasen <mclasen@redhat.com> 0.1-0.git20080720.1%%{?dist}
- Improve %%summary and %%description

* Fri Jul 20 2008 David Zeuthen <davidz@redhat.com> - 0.1-0.git20080720%%{?dist}
- Initial Packaging
